|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QFSFileEngine Class Reference
[QtCore module]

The QFSFileEngine class implements Qt's default file engine. More...

     #include <QFSFileEngine>

Inherits QAbstractFileEngine.

This class was introduced in Qt 4.1.

- List of all members, including inherited members

### Public Types

- typedef Iterator

### Public Functions

- QFSFileEngine ()
- QFSFileEngine ( const QString & file )
- ~QFSFileEngine ()
- bool open ( QIODevice::OpenMode openMode, FILE * fh )
- bool open ( QIODevice::OpenMode openMode, int fd )

- 34 public functions inherited from QAbstractFileEngine

### Static Public Members

- QString currentPath ( const QString & fileName = QString() )
- QFileInfoList drives ()
- QString homePath ()
- QString rootPath ()
- bool setCurrentPath ( const QString & path )
- QString tempPath ()

- 1 static public member inherited from QAbstractFileEngine

### Additional Inherited Members

- 1 protected function inherited from QAbstractFileEngine

## Detailed Description

The QFSFileEngine class implements Qt's default file engine.

This class is part of the file engine framework in Qt. If you only want to access files or directories, use QFile, QFileInfo or QDir instead.

QFSFileEngine is the default file engine for accessing regular files. It is provided for convenience; by subclassing this class, you can alter its behavior slightly, without having to write a complete QAbstractFileEngine subclass. To install your custom file engine, you must also subclass QAbstractFileEngineHandler and create an instance of your handler.

It can also be useful to create a QFSFileEngine object directly if you need to use the local file system inside QAbstractFileEngine::create(), in order to avoid recursion (as higher-level classes tend to call QAbstractFileEngine::create()).

## Member Function Documentation

### QFSFileEngine::QFSFileEngine ()

Constructs a QFSFileEngine.

### QFSFileEngine::QFSFileEngine ( const QString & file )

Constructs a QFSFileEngine for the file name file.

### QFSFileEngine::~QFSFileEngine ()

Destructs the QFSFileEngine.

### QString QFSFileEngine::currentPath ( const QString & fileName = QString() ) `[static]`

Returns the canonicalized form of the current path used by the file engine for the drive specified by fileName.

On Windows, each drive has its own current directory, so a different path is returned for file names that include different drive names (e.g. A: or C:).

See also setCurrentPath().

### QFileInfoList QFSFileEngine::drives () `[static]`

Returns the list of drives in the file system as a list of QFileInfo objects. On unix and Mac OS X, only the root path is returned. On Windows, this function returns all drives (A:, C:, D:, etc.).

### QString QFSFileEngine::homePath () `[static]`

Returns the home path of the current user.

See also rootPath().

### bool QFSFileEngine::open ( QIODevice::OpenMode openMode, FILE * fh )

Opens the file handle fh in openMode mode. Returns true on success; otherwise returns false.

### bool QFSFileEngine::open ( QIODevice::OpenMode openMode, int fd )

This is an overloaded member function, provided for convenience.

Opens the file descriptor fd in openMode mode. Returns true on success; otherwise returns false.

### QString QFSFileEngine::rootPath () `[static]`

Returns the root path.

See also homePath().

### bool QFSFileEngine::setCurrentPath ( const QString & path ) `[static]`

Sets the current path (e.g., for QDir), to path. Returns true if the new path exists; otherwise this function does nothing, and returns false.

See also currentPath().

### QString QFSFileEngine::tempPath () `[static]`

Returns the temporary path (i.e., a path in which it is safe to store temporary files).